# General description

SUSE Connect Program provides a way for SUSE partners to provide end users with a convenient way of accessing their products.
Customers can browse through the list of products and inform themselves about the products and their features. 
In case of software products, customers can ultimately click a button and initiate an automated installation of the partner software on the particular server. The partner software is stored in RPM format on the partner server, the administration framework is simply triggering a download and install command.
For other types of products, the module allows customers to browse information about them and open a browser window with the landing page of the product.

# Functionality

SUSE Connect Program is a YaST client, allowing to display information about available products, as well as to manipulate software repositories, patterns and packages.

## Types of products

SUSE Connect Program can handle three types of products: software products, web services and special services (e.g., on-site consulting).

For the latter two, the program provides a convenient way of browsing through the list of products, displaying basic information about the product and navigating to a landing page of the product hosted by the partner.

The software products are software packaged in RPM format residing in a repository provided by a partner.
The program provides a way of browsing through and searching in the list of offered products, adding the correct repositories to the system and installing software, handling the dependencies in a correct way.

## Product list update

The module comes with a pre-loaded list of products, installed through a separate RPM package (`yast2-sap-scp-prodlist`).
When the program is started, it shows the list of products provided by the RPM package.
When the user clicks the 'Refresh list' button, the program updates every product separately, fetching the remote metadata file from the respective servers of the partners.
Note: If you experience any difficulties after a product list update, please force a reinstallation of the package `yast2-sap-scp-prodlist`.

## Installing software

In order to install a software product, the user should select a product from the list of products in the main window.
The detailed product view below the list shows product logo, description and other meta data. Depending on the product type and information provided by the partner, several buttons are displayed at the bottom of the screen.
These allow adding and removing the repository through which the product in question is provided, installing and removing the product itself, be it a single package or a pattern, i.e., a collection of packages, navigating to the documentation page and to the EULA.

A typical installation workflow consists of adding the repository to the system ("Add repository" button), accepting the key that was used by the partner in order to sign the repository, then installing the software ("Install"). Before the actual installation takes place, the product's dependencies are checked, and if required, the user is asked to take additional action to resolve those dependencies.
For example, when a product depends on one of the SUSE-provided Add-Ons, a message will be shown to the user and the appropriate Add-On manager window is shown.
Another step that takes its place before the installation is accepting the EULA. The user is required to accept the licence before the product is installed.

Note that, when installing multiple products from the same vendor, the repository has to be added only once, as the repositories are usually provided on per vendor basis, rather than per product.

## Note on the console-based interface

When the program is started in console (ncurses) mode, it uses a console-based web browser `w3m` for displaying additional product information, such as end-user licence agreements, landing pages, etc.
The user must type `q` and then `y` sequentially in order to return back to the program.
For keyboard shortcuts and ways of navigating within a webpage with `w3m` please refer to the corresponding manual page (`man w3m`) or type `?` within the browser window.